List
curl --request GET \
--url https://api.nebius.cloud/msp/mlflow/v1alpha1/clusters \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nebius.cloud/msp/mlflow/v1alpha1/clusters"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebius.cloud/msp/mlflow/v1alpha1/clusters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"metadata": {
"parentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"labels": {},
"name": "<string>",
"resourceVersion": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"adminPassword": "<string>",
"adminUsername": "<string>",
"networkId": "<string>",
"serviceAccountId": "<string>",
"description": "<string>",
"publicAccess": true,
"size": "<string>",
"storageBucketName": "<string>"
},
"status": {
"effectiveStorageBucketName": "<string>",
"experimentsCount": 123,
"mlflowVersion": "<string>",
"phase": "PHASE_UNSPECIFIED",
"state": "STATE_UNSPECIFIED",
"trackingEndpoint": "<string>",
"trackingEndpoints": {
"private": "<string>",
"public": "<string>"
}
}
}
],
"nextPageToken": "<string>"
}clusters
List
Retrieves a list of clusters.
GET
/
msp
/
mlflow
/
v1alpha1
/
clusters
List
Authorizations
The Authorization header expects a Bearer token.
Query Parameters
Identifier of IAM container to list clusters from.
Specifies the maximum number of items to return in the response. Default value is 100.
Token for pagination, allowing the retrieval of the next set of results.
Was this page helpful?
⌘I